<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('../views/partials/header.ejs'); %> 
</head>
<body class="container-fluid p-0">
  <header>
      <%- include('../views/partials/nav.ejs'); %>
  </header>
  <div class="container-fluid p-0">
    <div class="col-12 imagen-cabezera">

    </div>  
  </div>
  <div class="container pt-5 pb-5 ">
    <div class="row">
      <div class="col-12 col-md-6">
        <h2>Realiza tu cotización</h2>
        <form action="/cotizacion" method="post" id="cotizador">
          <div class="form-group">
            <label for="text">Folio</label> 
            <input id="folio" name="folio" type="text" class="form-control" value="<%= folio || '' %>" required="required">
          </div>
          <div class="form-group">
            <label for="descripcion">Descripcion del vehiculo</label> 
            <input id="descripcion" name="descripcion" required="required" class="form-control" value= <%=descripcion%>>
          </div>
          <div class="form-group">
            <label for="precio">Precio</label> 
            <input id="precio" name="precio" type="number" class="form-control" required="required" value =<%=precio%>>
          </div>
          <div class="form-group">
            <label for="porcentaje">Porcentaje de Pago Inicial</label> 
            <input id="porcentaje" name="porcentaje" type="number" class="form-control" required="required" value = <%=porcentaje%>>
          </div>
          <div class="form-group">
            <label for="plazos">Plazos</label> 
            <div>
              <select id="plazos" name="plazos" required="required" class="custom-select" value= <%=plazos%>>
                <option value="12" <% if(plazos == '12') { %>selected<% } %>>12 Meses</option>
                <option value="24" <% if(plazos == '24') { %>selected<% } %>>24 Meses</option>
                <option value="36" <% if(plazos == '36') { %>selected<% } %>>36 Meses</option>
                <option value="48" <% if(plazos == '48') { %>selected<% } %>>48 Meses</option>
                <option value="60" <% if(plazos == '60') { %>selected<% } %>>60 Meses</option>
              </select>
            </div>
          </div> 
          <div class="form-group">
            <button name="submit" type="submit" id="btnCalcular" class="btn btn-primary btn-lg btn-block">Calcular</button>
          </div>
        </form>
      </div>
      <div class="col-12 col-md-6">
        <h2>Resumen</h2>
        <div class="table-responsive">
          <table class="table pt-2 pb-1 tablaResumen">
            <thead class="thead-dark">
              <tr>
                <th scope="col" id="rfolio">Num. Folio</th>
                <th scope="col" id="rdescripcion">Descripcion</th>
                <th scope="col" id="rprecio">Precio</th>
                <th scope="col" id="rporcentaje">Porcentaje Inicial</th>
                <th scope="col" id="rplazos">Plazos</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td scope="row"><%=folio%></td>
                <td><%=descripcion%></td>
                <td><%=precio%></td>
                <td><%=porcentaje%></td>
                <th><%=plazos%></th>
              </tr>
            </tbody>
          </table>
        </div>
          <h2>Total</h2>
        <div class="table-responsive">
          <table class="table pt-2 pb-1 tablaTotal">
            <thead class="thead-light">
              <tr>
                <th scope="col">Pago Inicial</th>
                <th scope="col">Total a Fin</th>
                <th scope="col">Pago Mensual</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <th scope="row"><%= pagoInicial %></th>
                <td><%= totalFin %></td>
                <td><%= pagoMensual %></td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="form-group">
          <button name="submit" type="reset" id="btnLimpiar" class="btn btn-secondary btn-lg">Limpiar</button>
        </div>
      </div>
    </div>
  </div>
  <footer class="footer">
      <%- include('../views/partials/footer.ejs'); %>
  </footer>
  <script>
    document.getElementById('btnLimpiar').addEventListener('click', function() {
      // Restablecer el formulario
      document.getElementById('folio').value = '';
      document.getElementById('descripcion').value = '';
      document.getElementById('precio').value = '';
      document.getElementById('porcentaje').value = '';
      document.getElementById('plazos').selectedIndex = 0;

      // Limpiar las tablas
      const tablaResumen = document.querySelector('.tablaResumen tbody');
      const tablaTotal = document.querySelector('.tablaTotal tbody');

      // Limpiar los contenidos de las tablas
      tablaResumen.innerHTML = '';
      tablaTotal.innerHTML = '';
  });
  </script>
</body>
</html>